# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:       llconf
Version:    0.4.6
Release:    alt1_2
Summary:    Loss-less configuration file parser
Group:      File tools
License:    LGPLv2+
URL:        http://code.google.com/p/%{name}/
Source0:    http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:     llconf-0.4.6-Install-parsers-headers-into-subdirectory.patch
Patch1:     llconf-0.4.6-Unify-paths-in-examples.patch
BuildRequires:  autoconf automake libtool
BuildRequires:  doxygen
Requires:   %{name}-libs%{?_isa} = %{version}-%{release}
Source44: import.info

%description
llconf (loss-less configuration) tool is meant as a middle ware to unify
control over configuration files. It tries to parse different
configuration files using different modules, and rewrite them after
applying changes, without destroying user changes and comments, so
that it is still possible to edit the files with a common text editor.


%package libs
Summary:    Loss-less configuration file parser library
Group:      System/Libraries

%description libs
llconf (loss-less configuration) is meant as a middle ware to unify
control over configuration files. It tries to parse different
configuration files using different modules, and rewrite them after
applying changes, without destroying user changes and comments, so
that it is still possible to edit the files with a common text editor.


%package devel
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files needed for developing applications that use
%{name}.


%prep
%setup -q
%patch0 -p1 -b .parsers_headers
%patch1 -p1 -b .unify_examples
# Update libtool not to inject useless RPATH into resulting executable
libtoolize -fi
autoreconf
chmod -x examples/wizard

%build
%configure --disable-static
make %{?_smp_mflags}
make -C doc doxygen

%install
make install DESTDIR=$RPM_BUILD_ROOT
find "$RPM_BUILD_ROOT" -name '*.la' -exec rm -f {} +

%files
%doc examples/etc examples/wizard README.llconf
%{_bindir}/*

%files libs
%doc COPYING README 
%{_libdir}/*.so.*

%files devel
%doc examples/example.c doc/html
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.6-alt1_2
- initial fc import

